"use strict";

/* global describe it */

//process.env.KOMODO_SDK_DEBUG_RC_FROM_MSG = 'YES';

const should = require('should');
const irs = require('./index');

describe('#irs', function() {
    describe('#getRcFromMessage', function() {
        it('should return correct rc', function() {
            irs.getRcFromMessage('Request IBP25 ke 085736328877 under proses..').should.equal('68');
            irs.getRcFromMessage('Transaksi HX5 ke 081809903333 GAGAL. Mohon periksa kembali No tujuan sebelum di ulang. Saldo: Rp 26.857.538').should.equal('40');
            irs.getRcFromMessage('REFF#11538167 Trx IBP25.085736328877 BERHASIL,Harga: 24.475 SN: 503133415264594 Sisa Saldo: 1.169.227 - 24.475 = 1.144.752 @5/3/2018 1:34:13 PM').should.equal('00');
            irs.getRcFromMessage('Maaf Produk sedang gangguan').should.equal('90');
        });
    });

    describe('#getPriceFromMessage', function() {
        describe('#generic', function() {
            it('should return correct price', function() {
                irs.getPriceFromMessage('REFF#11538167 Trx IBP25.085736328877 BERHASIL,Harga: 24.475 SN: 503133415264594 Sisa Saldo: 1.169.227 - 24.475 = 1.144.752 @5/3/2018 1:34:13 PM').should.equal(24475);
            });

            it('should handle missing price', function() {
                should.not.exist(irs.getPriceFromMessage('REFF#11538167 Trx IBP25.085736328877 BERHASIL, SN: 503133415264594 @5/3/2018 1:34:13 PM'));
            });
        });

        describe('#eflashtron', function() {
            it('should return correct price', function() {
                irs.getPriceFromMessage('Trx HT5.08989355280 BERHASIL. SN: 0608211002164754102. Sisa Saldo: 536.581 - 5.265 = 531.316 @08/06/2019 21:10:03 Komplen max. H+7').should.equal(5265);
            });
        })
    });
});
